# Python imports

# Lib imports

# Application imports
from .mixins.dummy_mixin import DummyMixin
from .controller_data import ControllerData



class Controller(DummyMixin, ControllerData):
    def __init__(self, args, unknownargs):
        self.setup_controller_data()

        self._setup_styling()
        self._setup_signals()
        self._subscribe_to_events()

        self.print_hello_world() # A mixin method from the DummyMixin file

        logger.info(f"Made it past {self.__class__} loading...")


    def _setup_styling(self):
        ...

    def _setup_signals(self):
        ...

    def _subscribe_to_events(self):
        # event_system.subscribe("handle_file_from_ipc", self.handle_file_from_ipc)
        # event_system.subscribe("handle_dir_from_ipc", self.handle_dir_from_ipc)
        # event_system.subscribe("tggl_top_main_menubar", self._tggl_top_main_menubar)
        ...
